Package com.enonic.xp.security.acl

## Enum IdProviderAccess

- java.lang.Object
- - java.lang.Enum<IdProviderAccess>
  - - com.enonic.xp.security.acl.IdProviderAccess

- All Implemented Interfaces:
    `Serializable`, `Comparable<IdProviderAccess>`

      @PublicApi
      public enum IdProviderAccess
      extends Enum<IdProviderAccess>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `ADMINISTRATOR` |
    `CREATE_USERS` |
    `ID_PROVIDER_MANAGER` |
    `READ` |
    `WRITE_USERS` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static IdProviderAccess` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static IdProviderAccess[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### READ

          public static final IdProviderAccess READ

    - #### CREATE_USERS

          public static final IdProviderAccess CREATE_USERS

    - #### WRITE_USERS

          public static final IdProviderAccess WRITE_USERS

    - #### ID_PROVIDER_MANAGER

          public static final IdProviderAccess ID_PROVIDER_MANAGER

    - #### ADMINISTRATOR

          public static final IdProviderAccess ADMINISTRATOR

  - ### Method Detail

    - #### values

          public static IdProviderAccess[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (IdProviderAccess c : IdProviderAccess.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static IdProviderAccess valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null